

#ifdef GL_ES
	precision highp float;
	precision mediump int;
#endif

/// <summary>
/// Uniform variables.
/// <summary>
uniform vec2 ImageSize;
uniform vec2 TexelSize;
uniform float Time;
uniform sampler2D Sample0;


/// <summary>
/// Varying variables.
/// <summary>
varying vec2 vUv;

void main(void)
{
    vec2 z;
	vec2 c;
    z.x = 3.0 * (vUv.x - 0.5);
    z.y = 2.0 * (vUv.y - 0.5);

	c.x = sin(Time*0.01);
	c.y = cos(Time*0.01);
	
	float fi = 1.0;
    for(int  i = 0; i < 32; i++) 
	{
        float x = (z.x * z.x - z.y * z.y) + c.x;
        float y = (z.y * z.x + z.x * z.y) + c.y;

        if((x * x + y * y) > 4.0) break;
        z.x = x;
        z.y = y;
		fi++;
    }
	if (fi>31.0)
		gl_FragColor = vec4(0,0,0,1);
	else
	{
		gl_FragColor = vec4(z.x,z.y,fi/32.0,1);
	}
}
